SAUNAFS-CGISERVER(8)

NAME
saunafs-cgiserver - simple HTTP/CGI server for SaunaFS monitoring

SYNOPSIS

saunafs-cgiserver [-H BIND-HOST] [-P BIND-PORT] [-R ROOT-PATH] [-v]

saunafs-cgiserver -h

DESCRIPTION

saunafs-cgiserver is a very simple HTTP server capable of running CGI scripts for SaunaFS monitoring. It just runs in foreground and works until killed with e.g. SIGINT or SIGTERM.

OPTIONS

-h
    print usage information and exit

-H BIND_HOST
    local address to listen on (default: any)

-P BIND_PORT
    port to listen on (default: 9425)

-R ROOT_PATH
    local path to use as HTTP document root (default is CGIDIR set up at configure time)

-v
    log requests on stderr

COPYRIGHT

Copyright 2008-2009 Gemius SA

Copyright 2013-2019 Skytechnology sp. z o.o.

Copyright 2023-2024 Leil Storage OÜ

SaunaFS is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 3.

SaunaFS is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with SaunaFS. If not, see

SEE ALSO

sfs(7)